[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Calendar' (#lcl)

# TCustomCalendar.LMYearChanged

Handles the LCL LM_YEARCHANGED message received when the year number has been changed on the calendar control.

## Declaration

Source position: calendar.pp line 113

`protected procedure TCustomCalendar.LMYearChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

LMYearChanged handles the message posted as a callback from the widgetset class when the year number on the control is changed. The message occurs when the year number is changed as a result of using the navigation controls on the calendar. It signals the OnYearChanged and OnChange event handlers (when assigned).

An application can assign object procedures to the event handlers to respond to the change notifications.

## See also

TCustomCalendar.OnYearChanged |  | Event handler signalled when the year number in DateTime has been changed using the calendar control.
TCustomCalendar.OnChange |  | Event handler signalled when the calendar control has been changed.